/*
 * $Id$
 *
 * Binkd "main" include file
 *
 * Includes almost everything
 */

#ifndef _binkd_h
#define _binkd_h

#if '\xFF' < 0
#error BINKD must be compiled with default UNSIGNED CHAR
#endif

#if defined(HAVE_FORK) && defined(HAVE_THREADS)
#error You cannot define both HAVE_FORK and HAVE_THREADS!
#endif

#if !defined(HAVE_FORK) && !defined(HAVE_THREADS) && !defined(DOS)
#error Must define either HAVE_FORK or HAVE_THREADS!
#endif

/*
 * System include files
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>
#include <signal.h>
#include <setjmp.h>
#include <fcntl.h>
#include <ctype.h>
#if !defined(WIN32)
#include <sys/time.h>
#endif
#include <time.h>
#include <sys/stat.h>

/*
 * Basic definitions and redefinitions of system stuff
 */

#include "Config.h"
#include "sys.h"
#include "iphdr.h"
#include "readdir.h"
#include "common.h"

/*
 * Local include files
 */

#include "readcfg.h"
#include "tools.h"
#include "ftnaddr.h"
#include "ftnnode.h"
#include "ftndom.h"
#include "ftnq.h"
#include "protocol.h"
#include "prothlp.h"
#include "protoco2.h"
#include "bsy.h"
#include "server.h"
#include "client.h"
#include "setpttl.h"
#include "binlog.h"
#include "assert.h"
#include "readflo.h"
#include "srif.h"
#include "iptools.h"
#include "inbound.h"
#include "run.h"
#include "sem.h"
#ifdef UNIX
#include "unix/daemonize.h"
#endif
#ifdef HTTPS
#include "https.h"
#endif

#endif
