/*
 *  https.h -- header for https & socks4/5 proxy
 *
 *  https.h is an addition part of binkd project
 *
 *  Copyright (C) 1996-1998  Dima Maloff, 5047/13
 *  Copyright (C) 1998-2000  Dima Afanasiev, 5020/463
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version. See COPYING.
 */
/*
 * $Id: https.h,v 2.2 2003/03/01 18:16:04 gul Exp $
 *
 * $Log: https.h,v $
 * Revision 2.2  2003/03/01 18:16:04  gul
 * Use HAVE_SYS_TIME_H macro
 *
 * Revision 2.1  2003/02/22 11:45:41  gul
 * Do not resolve hosts if proxy or socks5 using
 *
 * Revision 2.0  2001/01/10 12:12:38  gul
 * Binkd is under CVS again
 *
 *
 */

/*
 * Connect methods
 */

enum CONNECT_METHODS {
    CMETHOD_DIRECT,
    CMETHOD_SOCKS4,
    CMETHOD_SOCKS5,
    CMETHOD_HTTP
};

extern char connect_method_name[][7]; /* Please keep 'em in sync with enum! */

/*
 * Proxy information list (kept in config structure)
 */

struct proxy_info
{
    struct proxy_info *next;
    char *host;
    char *username;
    char *password;
    int   port;
    enum CONNECT_METHODS method;
};

int net_handshake(int sockfd, int connect_method,
                  char *node_host, int node_port,
                  char *proxy_user, char *proxy_password
                 );

#ifdef NTLM
int enbase64(char *data, int size, char *p);
int debase64(char *s, unsigned char *rc);
#endif
